Debian Bug report logs - #698468
ITP: libstore-opaque-perl -- module for opaque objects to prevent accidental leaking

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Fri, 18 Jan 2013 23:15:02 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libstore-opaque-perl/0.03-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#698468; Package wnpp. (Fri, 18 Jan 2013 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Fri, 18 Jan 2013 23:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libstore-opaque-perl -- module for opaque objects to prevent accidental leaking
Date: Sat, 19 Jan 2013 00:13:36 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libstore-opaque-perl
  Version         : 0.03
  Upstream Author : Steffen Mueller <smueller@cpan.org>
* URL             : https://metacpan.org/release/Store-Opaque/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : module for opaque objects to prevent accidental leaking

Store::Opaque implements an opaque object implementation to avoid
accidentially putting sensitive information into dumps or stack traces.

This module is not directly about security in the sense of preventing
malicious action. It's about preventing mistakes that could turn out to be a
security or compliance issue.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 19 Jan 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 30 Jan 2013 11:03:10 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 30 Jan 2013 11:03:10 GMT) Full text and rfc822 format available.

Message #12 received at 698468-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 698468-close@bugs.debian.org
Subject: Bug#698468: fixed in libstore-opaque-perl 0.03-1
Date: Wed, 30 Jan 2013 11:00:04 +0000
Source: libstore-opaque-perl
Source-Version: 0.03-1

We believe that the bug you reported is fixed in the latest version of
libstore-opaque-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698468@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libstore-opaque-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 19 Jan 2013 00:18:19 +0100
Source: libstore-opaque-perl
Binary: libstore-opaque-perl
Architecture: source amd64
Version: 0.03-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libstore-opaque-perl - module for opaque objects to prevent accidental leaking
Closes: 698468
Changes: 
 libstore-opaque-perl (0.03-1) unstable; urgency=low
 .
   * Initial release (closes: #698468).
Checksums-Sha1: 
 825ecad1e987de8d882e0a793a5b8a4f790c02fa 2072 libstore-opaque-perl_0.03-1.dsc
 872fc37ccdb2fe10838bb4f4cc9f8a328cd5e363 47540 libstore-opaque-perl_0.03.orig.tar.gz
 f5b0ccb5db48919ed8843b92a78838a441707abc 1538 libstore-opaque-perl_0.03-1.debian.tar.gz
 7f33f8f19704fdb7b2874ecd775c7d5e074010e4 12024 libstore-opaque-perl_0.03-1_amd64.deb
Checksums-Sha256: 
 adeeca16c6be2d45552792e14cc9e6f837bd1e438956688cb08bc2815a40e8ea 2072 libstore-opaque-perl_0.03-1.dsc
 d7ac48b9b9a80e6e445a1289a7d827299a92a982c58d457d5033ec8de888d4ca 47540 libstore-opaque-perl_0.03.orig.tar.gz
 2b41ca88c96447bf07fd6f54476ca344bb3e0e3f9954f80cf6868b56658a02fe 1538 libstore-opaque-perl_0.03-1.debian.tar.gz
 efb8df8d0e24fb632383e3781ba25d085e9b5899613b6ee544c36fd1fecef271 12024 libstore-opaque-perl_0.03-1_amd64.deb
Files: 
 6f5bc4afc9c9491aac0b8d9a6603c0ce 2072 perl optional libstore-opaque-perl_0.03-1.dsc
 a73034958dbfd0680cee61bc9a526927 47540 perl optional libstore-opaque-perl_0.03.orig.tar.gz
 5f54b80028b85d75cb28d8e87f0e2f5c 1538 perl optional libstore-opaque-perl_0.03-1.debian.tar.gz
 9069f42e642bb652abe5390a2620dcb9 12024 perl optional libstore-opaque-perl_0.03-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ+dhZAAoJELs6aAGGSaoGE0AQAMPNYBGLzZzyJR741n+3duaN
7/9UI+6KabN+cBLxWBUnSWNnIDd81Dl0gNHxa6f3xpbinqJTI3sW87MwlKPTlLuq
0MiWcRZ3aHwoo6Rd+0ljeGXA0XicjNFiredAInUiMyfRKSkLfA72/WxjSHY9svhh
hD+9TKqOgO6BUT1Ydz998KvM4rSVehrgeJHCxUs4dvAYLWRf/qVBE9QmxMWMbztk
rXAbjkBTpC8HPz46zZ8HrYdlUCkM8Pm+eDq/lcUgGkTCcbRFtcGQsqvY9MtmMo+g
EttRl5FWAv5H6FA5eGWvkwT3jeuuyvrFd5um7hw3Ra9yWE8mo30eiePe1MtMIAtW
3gBRyYqbhkYhGMLEVn862HWysZJeGtl8zN13SGgFydflOYSIMMbC5pCdE5BkcIo6
369rYFOdfYZ1jhl1E3Gvy5Ga6HF+alsaCzhL3T58LMosvPKmA0U1NGF883Pp44AN
0cTFoisKIVul7pLGWgK+n1oGv3j01t1RAb8f7GyDr4Parhr9R1Jt8+KsjrcoQZsq
GgGRIw04EfTuCljW46zAoiMxDf4Rp5iasryVUBWKFac1eLpAV/Mdgdf4yCmtbSo0
zvw80pyF2vyomqGoQqavkkJJll0Awc5gXfHW5NuPQWF3RNNMhnG3gq0ILRzeib0+
fpyAvXo/okZOivUb9Wl2
=mIL3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Feb 2013 07:27:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:23:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.